<template>
  <div class="p-3 text-bg-dark">
    <div class="container">
      <div class="d-flex flex-wrap align-items-center justify-content-start">
        <a href="/" class="d-flex align-items-center logo">
          <Logo />
        </a>

        <ul class="nav col-12 col-lg-auto mb-2 justify-content-center mb-md-0">
          <li>
            <RouterLink class="nav-link px-2 text-white" :to="{ name: 'home' }"
              >Home</RouterLink
            >
          </li>
          <li>
            <RouterLink
              class="nav-link px-2 text-white"
              :to="{ name: 'categories' }"
            >
              Categories
            </RouterLink>
          </li>
          <li>
            <RouterLink class="nav-link px-2 text-white" :to="{ name: 'cart' }">
              Cart
            </RouterLink>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script setup>
import Logo from '@/components/Logo.vue'
</script>

<style lang="scss" scoped>
.nav-link {
  border-bottom: 1px solid transparent;
  transition: all 300ms ease;
  user-select: none;
  &.is-active {
    font-weight: bold;
    border-bottom: 1px solid white;
  }
}
.logo {
  width: 50px;
  height: 50px;
  margin-right: 2em;
}
</style>
